:root {
  /* VARIABLES */
  --brand-red: #f5516f;

  --gray-dark: #222222;
  --gray-med: #353535;
  --gray-light: #d0d0d0;
  --gray-x-light: #f0f0f0;
  --white: #ffffff;

  /* Dynamic variables - change with theme switch */
  --text-color: var(--gray-dark);
  --squiggle-color: var(--gray-x-light);
  --post-container-shadow: 0 0 16px 0 rgba(00, 00, 00, 0.3);

  --ui-color-1: var(--white);
  --ui-color-2: var(--gray-x-light);
  --ui-color-3: var(--gray-light);
  --ui-color-4: var(--gray-med);
  --ui-color-5: var(--gray-dark);
}

html {
  scrollbar-gutter: stable both-edges;
}

body {
  font-family: "Google Sans", sans-serif;
  font-weight: 400;
  letter-spacing: 0.02rem;
  transition: all 0.2s;
  margin: 0;
}

.theme-light {
  /* dynamic variables */
  --text-color: var(--gray-dark);
  --squiggle-color: var(--gray-x-light);
  --post-container-shadow: 0 0 16px 0 rgba(00, 00, 00, 0.3);

  --ui-color-1: var(--white);
  --ui-color-2: var(--gray-x-light);
  --ui-color-3: var(--gray-light);
  --ui-color-4: var(--gray-med);
  --ui-color-5: var(--gray-dark);
  background-color: #fff;
  color: var(--text-color);
}

.theme-dark {
  /* dynamic variables */
  --text-color: var(--white);
  --squiggle-color: var(--gray-med);
  --post-container-shadow: 0 0 34px 0 rgba(00, 00, 00, 0.1);

  --ui-color-1: var(--gray-dark);
  --ui-color-2: var(--gray-med);
  --ui-color-3: var(--gray-light);
  --ui-color-4: var(--gray-x-light);
  --ui-color-5: var(--white);
  background-color: var(--gray-dark);
  color: var(--text-color);
}

/* ------- TYPOGRAPHY ------- */

h1,
.h1,
h2,
.h2,
h3,
.h3,
h4,
.h4,
h5,
.h5,
h6,
.h6 {
  font-family: "Gabarito", sans-serif;
  letter-spacing: normal;
  font-weight: 700;
  margin-top: 0;
}

h1,
.h1 {
  font-size: 56px;
}

h2,
.h2 {
  font-size: 40px;
}

h3,
.h3 {
  font-size: 28px;
}

h4,
.h4 {
  font-size: 20px;
}

h5,
.h5 {
  font-size: 16px;
  text-transform: uppercase;
}

p,
.p {
  font-size: 19px;
  font-weight: 400;
  line-height: 1.7;
  margin: 0 0 24px 0;
  opacity: 0.9;
}

li {
  font-size: 19px;
  font-weight: 400;
  line-height: 1.7;
  margin: 0 0 16px 0;
}

ul {
  padding-left: 20px;
}

a {
  color: var(--brand-red);
}

/* Remove underlines for Heading links */
a:has(h1),
a:has(h2),
a:has(h3),
a:has(h4),
a:has(h5),
a:has(h6) {
  text-decoration: none;
}

.text-small {
  font-size: 14px;
}

@media screen and (max-width: 600px) {
  h1,
  .h1 {
    font-size: 40px;
  }

  h2,
  .h2 {
    font-size: 32px;
  }

  h3,
  .h3 {
    font-size: 24px;
  }

  h4,
  .h4 {
    font-size: 18px;
  }

  p,
  .p {
    font-size: 18px;
  }

  li {
    font-size: 16px;
  }
}

hr {
  border-collapse: collapse;
  border: none;
  height: 1px;
  background-color: var(--ui-color-3);
  margin: 40px 0;
}

.btn {
  padding: 12px 20px;
  font-family: "Google Sans", sans-serif;
  background-color: var(--brand-red);
  color: #fff;
  cursor: pointer;
  border: none;
  border-radius: 5px;
  font-size: 16px;
  font-weight: bold;
  transition: all 0.1s;
}

@media screen and (min-width: 768px) {
  .theme-light .btn:hover {
    transform: rotate(-2deg);
    box-shadow: 2px 2px 7px 0 rgba(00, 00, 00, 0.3);
  }

  .theme-dark .btn:hover {
    transform: rotate(-2deg);
    box-shadow: 3px 3px 9px 0 rgba(00, 00, 00, 0.7);
  }
}

/* ------- HEADER & PAGE CONTENT ------- */

div.page-content {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  min-height: 100vh;
  align-items: center;
  padding: 0 16px;
  overflow-x: hidden;
  overflow-y: auto;
  position: relative;
}

div.section {
  width: 100%;
  max-width: 650px;
  z-index: 99999;
}

.header-section {
  display: grid;
  align-items: center;
  grid-template-columns: auto 1fr;
  gap: 24px;
  justify-content: space-between;
  margin: 24px 0 40px 0;
  padding: 0;
}

.header-title-container {
  display: flex;
  flex-direction: row;
}

.header-logo img {
  max-width: 82px;
  width: 100%;
  transition: all 0.2s;
  position: relative;
  z-index: 9;
}

.header-logo-bark img {
  height: 60px;
  transform: translateX(-60px) scale(80%);
  transition: all 0.2s;
  position: relative;
  z-index: 1;
  opacity: 0;
}

.header-title-container:hover .header-logo img {
  transform: scale(100%) rotate(-8deg);
}

.header-title-container:hover .header-logo-bark img {
  transform: scale(100%);
  opacity: 1;
}

/* Site Logo on Mobile */
@media (max-width: 600px) {
  .header-logo img {
    max-width: 50px;
  }

  .header-logo-bark img {
    display: none;
  }

  .header-title-container:hover .header-logo img {
    transform: none;
  }
}

.header-title {
  font-size: 48px;
  margin-bottom: 16px;
}

.header-theme-container {
  justify-self: end;
  display: flex;
  flex-direction: row;
  gap: 8px;
}

#site-nav {
  display: flex;
  justify-content: end;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  gap: 16px;
}

@media (max-width: 600px) {
  #site-nav {
    gap: 4px;
  }

  .header-theme-container {
    gap: 4px;
  }
}

.nav-item {
  font-family: "Google Sans", sans-serif;
  letter-spacing: 0.02rem;
  font-weight: 400;
  padding: 4px 12px;
  color: var(--text-color);
  border-radius: 4px;
  text-decoration: none;
  background-color: transparent;
  font-size: 16px;
}

@media (max-width: 450px) {
  .nav-item {
    font-size: 14px;
  }
}

.nav-item:hover {
  background-color: var(--text-color);
  color: var(--brand-red);
  cursor: pointer;
}

.nav-item-theme-icon {
  color: var(--text-color);
  padding: 8px;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 24px;
  height: 24px;
  border-radius: 50px;
  text-decoration: none;
  background-color: transparent;
}

.nav-item-theme-icon:hover {
  background-color: var(--text-color);
  color: var(--brand-red);
  cursor: pointer;
}

@media screen and (max-width: 500px) {
  .header-section {
    grid-template-columns: 1fr 6fr;
  }

  .header-title {
    font-size: 40px;
    margin-bottom: 8px;
  }
}

.anchor-link-offset {
  display: block;
  position: relative;
  top: -40px;
  visibility: hidden;
}

/* POST CONTAINER */
.post-container {
  background-color: var(--ui-color-2);
  box-shadow: var(--post-container-shadow);
  padding: 40px;
  border-radius: 16px;
  margin-bottom: 64px;
}

@media screen and (max-width: 600px) {
  .post-container {
    padding: 24px;
  }
}

/* ------- FOOTER ------- */
#global-footer {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  border-top: 1px solid var(--ui-color-3);
  padding-top: 24px;
  margin-top: 24px;
  gap: 24px;
}

.footer-social-icon {
  color: var(--text-color);
  font-size: 24px;
}

.footer-social-icon:hover {
  color: var(--brand-red);
}

/* ------- UTILITY ------- */
.mb-0 {
  margin-bottom: 0;
}

.mb-8 {
  margin-bottom: 8px;
}

.mb-16 {
  margin-bottom: 16px;
}

.mb-32 {
  margin-bottom: 32px;
}

.mb-40 {
  margin-bottom: 40px;
}

.mb-48 {
  margin-bottom: 48px;
}

.mb-56 {
  margin-bottom: 56px;
}

.mb-64 {
  margin-bottom: 64px;
}

.skill-container {
  display: flex;
  align-items: center;
  border: 1px solid var(--brand-red);
  border-radius: 6px;
}

.skill-icon {
  background-color: var(--brand-red);
  font-size: 19px;
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 64px;
  height: 100%;
}

.skill-text {
  font-size: 19px;
  padding: 16px;
  flex: 1;
}

.col-1 {
  display: grid;
  width: 100%;
  grid-template-columns: repeat(1, 1fr);
  gap: 12px;
}

/* ------- SVGs ------- */
svg.squiggle-background {
  z-index: 1;
  opacity: 0.35;
}

svg.squiggle-background path {
  stroke: var(--squiggle-color);
}

/* ------- HOME PAGE ------- */
#home-page-content {
  width: 100%;
  padding: 40px 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
}

#home-page-content h1 {
  margin-bottom: 0;
}

#home-page-content svg#squiggle-underline {
  max-width: 100%;
  height: 56px;
  width: 100%;
  margin: 24px 0;
  opacity: 0.9;
}

#home-page-content svg#squiggle-underline path {
  stroke: var(--text-color);
}

.home-background {
  position: absolute;
  inset: 0;
  pointer-events: none;
  overflow: hidden;
  z-index: 0;
}

.home-background svg#squiggle-01 {
  position: absolute;
  top: 35%;
  transform: rotate(10deg);
  overflow: visible;
  margin: 0 -10%;
}

.home-background svg#squiggle-02 {
  position: absolute;
  top: 10%;
  right: 20px;
  width: 100%;
  max-width: 500px;
  transform: rotate(10deg);
  overflow: visible;
  margin-right: -5%;
}

.home-background svg#squiggle-01 path {
  stroke-width: 20px;
}

.home-background svg#squiggle-02 path {
  stroke-width: 45px;
}

@media screen and (max-width: 600px) {
  .home-background svg#squiggle-01 {
    margin: 0 -70%;
  }

  .home-background svg#squiggle-02 {
    margin-right: -20%;
    top: 12%;
  }
}

/* ------ MUSIC PAGE ------- */

.music-background {
  position: absolute;
  inset: 0;
  pointer-events: none;
  overflow: hidden;
  z-index: 0;
}

.music-background svg#squiggle-01 {
  position: absolute;
  top: 55%;
  transform: rotate(10deg);
  overflow: visible;
  margin: 0 -10%;
}

.music-background svg#squiggle-02 {
  position: absolute;
  top: 20%;
  transform: rotate(0deg);
  overflow: visible;
  margin: 0 -10%;
}

@media screen and (min-width: 1921px) {
  .music-background svg#squiggle-01 {
    top: 45%;
  }

  .music-background svg#squiggle-02 {
    display: none;
  }
}

.music-background svg#squiggle-01 path {
  stroke-width: 20px;
}

.music-background svg#squiggle-02 path {
  stroke-width: 30px;
}

@media screen and (max-width: 600px) {
  .music-background svg#squiggle-01 {
    margin: 0 -70%;
  }

  .music-background svg#squiggle-02 {
    margin-right: -20%;
    top: 12%;
  }
}

svg#squiggle-underline {
  height: auto;
  width: 100%;
  max-width: 250px;
  margin: 24px 0;
  opacity: 0.9;
}

svg#squiggle-underline path {
  stroke: var(--text-color);
}

.download-audio {
  display: flex;
  width: 50px;
  height: 50px;
  background-color: var(--brand-red);
  border-radius: 32px;
  align-items: center;
  justify-content: center;
}

a:has(.download-audio) {
  text-decoration: none;
}

/* Audio Player HTML */
audio::-webkit-media-controls-panel {
  background-color: var(--brand-red);
}

audio::-webkit-media-controls-play-button {
  background-color: #fff;
  border-radius: 50%;
}

audio::-webkit-media-controls-current-time-display {
  color: #fff;
}

audio::-webkit-media-controls-time-remaining-display {
  color: #fff;
}

audio::-webkit-media-controls-mute-button {
  background-color: #fff;
  border-radius: 64px;
}

/* 
audio::-webkit-media-controls-volume-slider
audio::-webkit-media-controls-volume-slider-container
audio::-webkit-media-controls-timeline-container
audio::-webkit-media-controls-timeline
audio::-webkit-media-controls-seek-back-button
audio::-webkit-media-controls-seek-forward-button
audio::-webkit-media-controls-fullscreen-button
audio::-webkit-media-controls-rewind-button
audio::-webkit-media-controls-return-to-realtime-button
audio::-webkit-media-controls-toggle-closed-captions-button 
*/

/* ------ WEB PROJECTS PAGE ------- */

.projects-background {
  position: absolute;
  inset: 0;
  pointer-events: none;
  overflow: hidden;
  z-index: 0;
}

.projects-background svg#squiggle-01 {
  position: absolute;
  top: 55%;
  transform: rotate(10deg);
  overflow: visible;
  margin: 0 -10%;
}

.projects-background svg#squiggle-02 {
  position: absolute;
  top: 20%;
  transform: rotate(0deg);
  overflow: visible;
  margin: 0 -10%;
}

@media screen and (min-width: 1921px) {
  .projects-background svg#squiggle-01 {
    top: 45%;
  }

  .projects-background svg#squiggle-02 {
    display: none;
  }
}

.projects-background svg#squiggle-01 path {
  stroke-width: 20px;
}

.projects-background svg#squiggle-02 path {
  stroke-width: 30px;
}

@media screen and (max-width: 600px) {
  .projects-background svg#squiggle-01 {
    margin: 0 -70%;
  }

  .projects-background svg#squiggle-02 {
    margin-right: -20%;
    top: 12%;
  }
}

svg#squiggle-underline {
  height: auto;
  width: 100%;
  max-width: 280px;
  margin: 24px 0;
  opacity: 0.9;
}

svg#squiggle-underline path {
  stroke: var(--text-color);
}


.web-project-screenshot {
  margin-bottom: 40px;
}

.web-project-screenshot img {
  display: block;
  width: 100%;
  border-radius: 7px;
  transition: all 0.2s;
}